- Home
- API Enriched
- Api
- ml
- Evaluate API Group.
Evaluate API Group.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_api_groups/stats';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_api_groups/stats \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example" }'Check if there are any changes happened to the API Groups, and return number of API Endpoints updated for each API Group.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the API Group for the current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Request shape for API Groups Stats.
object
Namespace of the API Group for the current request.
Examplegenerated
{ "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response for the API Groups Stats request.
object
A list of API Groups stats, where each item contains an API Group ID and stats.
API Groups Stats Item.
object
object
Name of the API Group.
Namespace of the API Group.
object
Number of outdated API Endpoints is the difference in the stored API Group contents and the contents if it be evaluated against current state.
Examplegenerated
{ "items": [ { "id": { "name": "example", "namespace": "example" }, "stats": { "outdated_api_endpoints_count": 1 } } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example